Fetch payment tags
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/{paymentId}/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/{paymentId}/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/{paymentId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]""Invoice Payments
Fetch payment tags
Returns the tags associated with the provided invoice payment id. Tags are custom labels that can be applied to payments to help categorize or filter reporting.
GET
/
v1
/
businesses
/
{businessId}
/
invoices
/
payments
/
{paymentId}
/
tags
Fetch payment tags
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business that the invoice payment to fetch tags for belongs to
The UUID of the invoice payment to fetch tags for
Response
ID for the tag
Key for the tag
Example:
"ExampleTagKey"
Value for the tag
Example:
"ExampleTagValue"
ID of the tag dimension this tag belongs to
ID of the tag value definition
Display name for the tag dimension
Display name for the tag value definition
When the tag was archived